import request from '@/utils/request'

// 查询物料产品列表
export function listItem(query) {
  return request({
    url: '/md/item/list',
    method: 'get',
    params: query
  })
}

// 查询物料产品详细
export function getItem(itemId) {
  return request({
    url: '/md/item/' + itemId,
    method: 'get'
  })
}

// 新增物料产品
export function addItem(data) {
  return request({
    url: '/md/item',
    method: 'post',
    data: data
  })
}

// 修改物料产品
export function updateItem(data) {
  return request({
    url: '/md/item',
    method: 'put',
    data: data
  })
}

// 删除物料产品
export function delItem(itemId) {
  return request({
    url: '/md/item/' + itemId,
    method: 'delete'
  })
}
